Subject: Re: How to deal with historic tar-balls

From: nn6eumtr <[email-masked]>
Date: Fri, 06 Jan 2012 20:10:57 -0500

Thanks for the response, there is lots of good information there.

One clarification - can you track renames in git? I tried using git mv 
but from the status output it looks like it deleted the old file  and 
added the new file. I was expecting it to record some sort of indicator 
of the name change, instead it looks like a short-cut for delete & add, 
the docs aren't clear if that is the case.

On 1/5/2012 10:25 AM, Neal Kreitzinger wrote:
...
> going to want to do appropriate clean up of the working tree in each
> iteration before committing. This is where you would review
> renames/removes with git-status before you git-add and git-commit. Also,
> if you are tracking permissions in git (the executable bit) then you
> will want to filter out any noise generated by frivolous permissions
> changes between the tarball contents.
...